#include <iostream>
#include <vector>
using namespace std;
int main()
{
    int n,k,b,r;
    cin>>n>>k;
    vector<int>a(n);
    for(int i=0;i<n;i++)
    {
    cin>>a[i];
    if(a[i]==k)b=i;
    }
    if(b==0)b=a[1];
    else if(b==n-1)b=a[0];
    else b=a[b+1];
    cout << b << endl;
    return 0;
}